stages:
  - build
  - test


cache:
  paths:
    - build

build:
  image: golang:latest
  stage: build
  script: 
    - go build main.go
    - mkdir -p build
    - mv main build/
    - ls -all
    - pwd
  artifacts:
    paths:
      - build/
    expire_in: 1 week

test:
  image: golang:latest
  stage: test
  script:
    - ls -all build
    - go test ./...